<?php

require_once 'gplus_sync.constants.inc';

/**
 * gplus_sync_settings_form().
 * gplus_sync_settings_form_submit().
 */

function gplus_sync_settings_form($form, &$form_state) {
  $form['gplus_access_params'] = array(
    '#type' => 'fieldset',
    '#title' => t('Google+ access parameters'),
  );
  $form['gplus_access_params']['client_id'] = array(
    '#type' => 'textfield',
    '#title' => t('Client ID'),
    '#default_value' => variable_get('gplus_sync_client_id'),
    '#description' => t('Example: !example', array('!example' => '012345678901-abcdefghijklmnqrstuvwxyz01234567.apps.googleusercontent.com')),
    '#required' => true,
  );
  $form['gplus_access_params']['client_secret'] = array(
    '#type' => 'textfield',
    '#title' => t('Client secret'),
    '#default_value' => variable_get('gplus_sync_client_secret'),
    '#description' => t('Example: !example', array('!example' => '0123-456789abcdefghijklm')),
    '#required' => true,
  );
/* actions */
  $form['actions'] = array(
    '#type' => 'actions',
  );
  $form['actions']['submit'] = array(
    '#type' => 'submit',
    '#value' => t('Save'),
  );
  return $form;
}


function gplus_sync_settings_form_submit($form, &$form_state) {
  variable_set('gplus_sync_client_id', $form_state['values']['client_id']);
  variable_set('gplus_sync_client_secret', $form_state['values']['client_secret']);
  drupal_set_message(t('Settings was saved.'));
}

